org.apache.commons.io.filefilter

## Class DelegateFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.DelegateFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class DelegateFileFilter
    extends AbstractFileFilter
    implements Serializable

This class turns a Java FileFilter or FilenameFilter into an IO FileFilter.

Since:
  1.0
Version:
  $Id$
See Also:
  `FileFilterUtils.asFileFilter(FileFilter)`, `FileFilterUtils.asFileFilter(FilenameFilter)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DelegateFileFilter(FileFilter filter)` Constructs a delegate file filter around an existing FileFilter.
`DelegateFileFilter(FilenameFilter filter)` Constructs a delegate file filter around an existing FilenameFilter.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept(File file)` Checks the filter.
`boolean` `accept(File dir, String name)` Checks the filter.
`String` `toString()` Provide a String representation of this file filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DelegateFileFilter

    public DelegateFileFilter(FilenameFilter filter)

Constructs a delegate file filter around an existing FilenameFilter.

Parameters:
  `filter` - the filter to decorate

#### DelegateFileFilter

    public DelegateFileFilter(FileFilter filter)

Constructs a delegate file filter around an existing FileFilter.

Parameters:
  `filter` - the filter to decorate

### Method Detail

#### accept

    public boolean accept(File file)

Checks the filter.

Specified by:
  `accept` in interface `FileFilter`
Specified by:
  `accept` in interface `IOFileFilter`
Overrides:
  `accept` in class `AbstractFileFilter`
Parameters:
  `file` - the file to check
Returns:
  true if the filter matches

#### accept

    public boolean accept(File dir,
                          String name)

Checks the filter.

Specified by:
  `accept` in interface `FilenameFilter`
Specified by:
  `accept` in interface `IOFileFilter`
Overrides:
  `accept` in class `AbstractFileFilter`
Parameters:
  `dir` - the directory
  `name` - the filename in the directory
Returns:
  true if the filter matches

#### toString

    public String toString()

Provide a String representation of this file filter.

Overrides:
  `toString` in class `AbstractFileFilter`
Returns:
  a String representation